Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.
Acquirer & Reseller

Manage Configured Merchants


After you grant a technology partner's Solution access to your merchants, use these requests to retrieve the list of merchants enabled for the Solution and to update a merchant's status.

Retrieve List of Configured Merchants

Retrieve the list of the transacting merchant accounts that are configured with the technology partner's Solution ID.

Endpoints

GET /pics/v1/tenants-configurations?solutionId={solutionId}

GET /pics/v1/tenants-configurations?solutionId={solutionId}

Example: Retrieve List of Configured Merchants

{  "count": 9,  "submitTimeUtc": "2026-10-05T14:34:51.973751274Z",  "tenantConfigurations": [    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "hr1xaz2zb1il37ijg7i6svhrl",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0024"      },      "status": "TEST",      "creationDateTime": "2026-07-14T06:57:49Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "wepuij9fezf189v77me3rc1sotgyj",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0023"      },      "status": "TEST",      "creationDateTime": "2026-04-23T12:47:42Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "dod201mou23",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0004"      },      "status": "TEST",      "creationDateTime": "2026-04-23T12:46:59Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "b42orizl4qahreng8i13il7",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0999"      },      "status": "TEST",      "creationDateTime": "2026-04-23T08:07:47Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "dd7tr1u5olr29ef2agij",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0099"      },      "status": "TEST",      "creationDateTime": "2026-04-23T08:00:59Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "pm6317qz8kob",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0006"      },      "status": "TEST",      "creationDateTime": "2026-04-23T00:53:50Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "3k5u3f9l454cqds9",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0035"      },      "status": "TEST",      "creationDateTime": "2026-04-23T00:45:26Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "3gcu9w8cvsstxpiq0gg",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0034"      },      "status": "TEST",      "creationDateTime": "2026-04-23T00:43:24Z"    },    {      "solutionId": "3se0r7tb",      "tenantConfigurationId": "4c0c6dwkgdax5b8j2e4bb0k8rly",      "tenantInformation": {        "merchantOrganizationId": "tinas_tupperware0062"      },      "status": "TEST",      "creationDateTime": "2026-04-23T00:19:02Z"    }  ]}
Required Fields: Retrieve List of Configured Merchants
solutionId string

The unique identifier for the technology partner's Solution. Use this query parameter to filter the returned list of merchant tenants to a specific Solution.

Response Fields: Retrieve List of Configured Merchants
count integer

The number of merchant tenants returned in the response.

submitTimeUtc string

The time of the request in UTC. Format: <date-time>.

tenantConfigurations.solutionId string

The unique identifier for the technology partner's Solution.

tenantConfigurations.tenantConfigurationId string

The unique identifier for the merchant tenant's configuration. Use this value to update the merchant's status.

tenantConfigurations.tenantInformation.merchantOrganizationId string

The organization ID of the merchant that the tenant represents.

tenantConfigurations.status string

Possible enumerated values: LIVE, INACTIVE, TEST.

tenantConfigurations.creationDateTime string

The date and time the merchant tenant was configured.


 

Update Merchant Status

Update a merchant tenant's status to revoke or restore a technology partner's Solution access for that merchant.

Endpoints

Set the {tenantConfigurationId} to the value you received in the tenantConfigurationId field from the Update Existing Merchant with Solution ID response or the Retrieve List of Configured Merchants response. The value should correspond to the merchant you want to update.

PATCH /pics/v1/tenants-configurations/{tenantConfigurationId}

PATCH /pics/v1/tenants-configurations/{tenantConfigurationId}

Example: Deactivate a Merchant

To restore the Solution's access for the merchant, set status to INACTIVE:

{  "status": "INACTIVE"}
{  "submitTimeUtc": "2026-10-05T14:38:29.354091227Z",  "status": "SUCCESS"}

Example: Re-activate a Merchant

To restore the Solution's access for the merchant, set status to LIVE:

{  "status": "LIVE"}
{  "submitTimeUtc": "2026-10-05T14:38:29.354091227Z",  "status": "SUCCESS"}
Required Fields: Update Merchant Status
tenantConfigurationId string

The unique identifier for the merchant tenant's configuration. Include it in the request path.

status string

Set to INACTIVE to revoke the technology partner's Solution access for the merchant, or to LIVE to restore it.

Response Fields: Update Merchant Status
status string

The result of the request. Returns SUCCESS when the update completes.

submitTimeUtc string

The time of the request in UTC. Format: <date-time>.

Last published: November 18, 2026

Not available for your audience

This page isn't available for your current audience selection.